https://gitlab.freedesktop.org/pipewire/pipewire/-/commit/840a9487a404916b18bf945662720e8a6d5b3716

From 840a9487a404916b18bf945662720e8a6d5b3716 Mon Sep 17 00:00:00 2001
From: Wim Taymans <wtaymans@redhat.com>
Date: Mon, 16 Oct 2023 10:32:51 +0200
Subject: [PATCH] alsa: don't try to link when prepare fails

---
 spa/plugins/alsa/alsa-pcm.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/spa/plugins/alsa/alsa-pcm.c b/spa/plugins/alsa/alsa-pcm.c
index fbd67cf86..df40ea9e5 100644
--- a/spa/plugins/alsa/alsa-pcm.c
+++ b/spa/plugins/alsa/alsa-pcm.c
@@ -3042,7 +3042,8 @@ int spa_alsa_prepare(struct state *state)
 
 	spa_list_for_each(follower, &state->followers, driver_link) {
 		if (follower != state && !follower->matching) {
-			spa_alsa_prepare(follower);
+			if (spa_alsa_prepare(follower) < 0)
+				continue;
 			if (!follower->linked && state->auto_link)
 				do_link(state, follower);
 		}
-- 
GitLab
